Subject: RE: RE : [sipping] comment on draft-polk-sipping-location-require ments-01.txt

From: "Rosen, Brian" <[email-masked]>
Date: Fri, 12 Dec 2003 13:39:17 -0500

Sébastien

When would there be a situation where the terminal is not
able to obtain its own location?  Are you arguing on technical
grounds or business reasons?  

If the international standards for VoIP emergency calls 
were structured so that UAs were informed of their location,
and included that information on an emergency call, would you
still worry that some country would impose regulations requiring
a carrier to insert location?  If that happened, would you
expect the IETF to change the specifications?

Don't you see that the mechanism for having proxy insertion
PLUS mechanisms for UAs to request that proxies not insert
is more complicated, without having a compelling technical
advantage?

Brian

> -----Original Message-----
> From: PROUVOST Sébastien FTRD/DAC/ISS
> [mailto:[email-masked]]
> Sent: Friday, December 12, 2003 1:30 PM
> To: Rosen, Brian
> Cc: [email-masked]; [email-masked]
> Subject: RE : [sipping] comment on
> draft-polk-sipping-location-requirements-01.txt
> 
> 
> Well, I still believe that the cases where the terminal will 
> not be able to get information shall be covered and that a 
> proxy should be allowed to insert this information in such a 
> case (if it is able to obtain it).
>  
> If not, there is a significant issue with emergency calls : 
> it may be a regulatory obligation for an operator to make 
> this location information available.
> 
> I also agree that privacy considerations regarding the 
> divulgation of location information is important and that 
> except for emergency calls this information shall not be 
> delivered to any entity without the agreement of the UA.
> If a proxy in the path is allowed to insert the info, this 
> shall lead to the additionnal requirement that a UA shall be 
> able to inform proxies in the path whether of not they are 
> allowed to insert this information.
>  
>  
> Regards,
> 
> Sébastien Prouvost
> France Télécom R&D/DAC/CAR
> http://www.francetelecom.com/rd
> 
> -----Message d'origine-----
> De : Rosen, Brian [mailto:[email-masked]] 
> Envoyé : vendredi 12 décembre 2003 14:03
> À : PROUVOST Sébastien FTRD/DAC/ISS
> Cc : [email-masked]; [email-masked]
> Objet : RE: [sipping] comment on 
> draft-polk-sipping-location-requirements-01.txt
> 
> 
> I think that the issue is one of privacy control.  If some 
> intermediary puts your location on the message without your 
> consent, there is a significant breach of privacy.
> 
> The emergency case is somewhat different, and we are looking 
> into how best to accommodate it.  In general, our approach is 
> to get the UA to know its location and report it with the 
> call.  We understand the issue of authentication of location, 
> and will need to assure that the location is accurate
> when a carrier knows what it is.   If the location is
> provided to the UA, and it chooses to NOT send it, I believe
> he should be allowed to do so.  There are several ways the UA 
> could learn its location from some other entity.  One of them 
> is DHCP (for a non-mobile UA). 
> 
> Do you see any problem with that approach?
> 
> Brian
> 
> > -----Original Message-----
> > From: PROUVOST Sébastien FTRD/DAC/ISS
> > [mailto:[email-masked]]
> > Sent: Monday, December 08, 2003 10:10 AM
> > To: [email-masked]; [email-masked]
> > Cc: [email-masked]
> > Subject: [sipping] comment on 
> > draft-polk-sipping-location-requirements-01.txt
> > 
> > 
> > Hi,
> > 
> > I fully support the idea of having location information conveyed in 
> > SIP.
> > 
> > However, I fail to see in the draft a requirement for a proxy to be 
> > able to insert the location object on behalf of the UA. It 
> is likely 
> > that in some cases terminals may not have this information. In some 
> > architectures, an outbound proxy may be able to retrieve this 
> > information (eg. Through a MIDCOM or COPS interface with an 
> entity in 
> > the transport plane) and it is useful to allow such an 
> outbound proxy 
> > to insert this location object.
> > 
> > As stated in requirement E-3 regarding emergency calls, it may be a 
> > regulatory obligation for an operator to make this location 
> > information available to certain users. Operators may therefore be 
> > mandated to have this information inserted by proxies if 
> the terminal 
> > does not insert it.
> > 
> > Regards,
> > 
> > Sébastien Prouvost
> > France Télécom R&D/DAC/CAR
> > http://www.francetelecom.com/rd
> > 
> > 
> > _______________________________________________
> > Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> > This list is for NEW development of the application of SIP Use
> > [email-masked] for questions on current sip Use 
> > [email-masked] for new developments of core SIP
> > 
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP